QXmpp: QXmppRegisterIq Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppRegisterIq Class Reference
Stanzas

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration. More...

`#include <QXmppRegisterIq.h>`

Inheritance diagram for QXmppRegisterIq:

## Public Member Functions
| QXmppRegisterIq (const QXmppRegisterIq &other)
| Default copy-constructor.
| QXmppRegisterIq (QXmppRegisterIq &&)
| Default move-constructor.
QXmppRegisterIq & | operator= (const QXmppRegisterIq &other)
| Default assignment operator.
QXmppRegisterIq & | operator= (QXmppRegisterIq &&)
| Default move-assignment operator.
QString | email () const
| Returns the email for this registration IQ.
void | setEmail (const QString &email)
| Sets the email for this registration IQ.
QXmppDataForm | form () const
| Returns the QXmppDataForm for this registration IQ.
void | setForm (const QXmppDataForm &form)
| Sets the QXmppDataForm for this registration IQ.
QString | instructions () const
| Returns the instructions for this registration IQ.
void | setInstructions (const QString &instructions)
| Sets the instructions for this registration IQ.
QString | password () const
| Returns the password for this registration IQ.
void | setPassword (const QString &username)
| Sets the password for this registration IQ.
QString | username () const
| Returns the username for this registration IQ.
void | setUsername (const QString &username)
| Sets the username for this registration IQ.
bool | isRegistered () const
void | setIsRegistered (bool isRegistered)
bool | isRemove () const
void | setIsRemove (bool isRemove)
QXmppBitsOfBinaryDataList | bitsOfBinaryData () const
QXmppBitsOfBinaryDataList & | bitsOfBinaryData ()
void | setBitsOfBinaryData (const QXmppBitsOfBinaryDataList &bitsOfBinaryData)
QString | outOfBandUrl () const
void | setOutOfBandUrl (const QString &outOfBandUrl)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Static Public Member Functions
static QXmppRegisterIq | createChangePasswordRequest (const QString &username, const QString &newPassword, const QString &to={})
static QXmppRegisterIq | createUnregistrationRequest (const QString &to={})

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration.

It is used to create an account on the server.

## Member Function Documentation

## ◆ bitsOfBinaryData() [1/2]

QXmppBitsOfBinaryDataList & QXmppRegisterIq::bitsOfBinaryData | ( |  | ) |

Returns a list of data attached using XEP-0231: Bits of Binary.

This could be used to resolve a `cid:` URL of an CAPTCHA field of the form.

Since
  QXmpp 1.2

## ◆ bitsOfBinaryData() [2/2]

QXmppBitsOfBinaryDataList QXmppRegisterIq::bitsOfBinaryData | ( |  | ) | const

Returns a list of data packages attached using XEP-0231: Bits of Binary.

This could be used to resolve a `cid:` URL of an CAPTCHA field of the form.

Since
  QXmpp 1.2

## ◆ createChangePasswordRequest()

QXmppRegisterIq QXmppRegisterIq::createChangePasswordRequest | ( | const QString & | username,
|  | const QString & | newPassword,
|  | const QString & | to = {} )
| static

Constructs a regular change password request.

Parameters

  username | The username of the account of which the password should be changed.
  newPassword | The new password that should be set.
  to | Optional JID of the registration service. If this is omitted, the IQ is automatically addressed to the local server.

Since
  QXmpp 1.2

## ◆ createUnregistrationRequest()

QXmppRegisterIq QXmppRegisterIq::createUnregistrationRequest | ( | const QString & | to = {} | ) |
| static

Constructs a regular unregistration request.

Parameters

  to | Optional JID of the registration service. If this is omitted, the IQ is automatically addressed to the local server.

Since
  QXmpp 1.2

## ◆ isRegistered()

bool QXmppRegisterIq::isRegistered | ( |  | ) | const

Returns whether the account is registered.

By default this is set to false.

Since
  QXmpp 1.2

## ◆ isRemove()

bool QXmppRegisterIq::isRemove | ( |  | ) | const

Returns whether to remove (unregister) the account.

By default this is set to false.

Since
  QXmpp 1.2

## ◆ outOfBandUrl()

QString QXmppRegisterIq::outOfBandUrl | ( |  | ) | const

Returns a XEP-0066: Out of Band Data URL used for out-of-band registration.

Since
  QXmpp 1.5

## ◆ setBitsOfBinaryData()

void QXmppRegisterIq::setBitsOfBinaryData | ( | const QXmppBitsOfBinaryDataList & | bitsOfBinaryData | ) |

Sets a list of XEP-0231: Bits of Binary attachments to be included.

Since
  QXmpp 1.2

## ◆ setIsRegistered()

void QXmppRegisterIq::setIsRegistered | ( | bool | isRegistered | ) |

Sets whether the account is registered.

By default this is set to false.

Since
  QXmpp 1.2

## ◆ setIsRemove()

void QXmppRegisterIq::setIsRemove | ( | bool | isRemove | ) |

Sets whether to remove (unregister) the account.

By default this is set to false.

Since
  QXmpp 1.2

## ◆ setOutOfBandUrl()

void QXmppRegisterIq::setOutOfBandUrl | ( | const QString & | outOfBandUrl | ) |

Sets a XEP-0066: Out of Band Data URL used for out-of-band registration.

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppRegisterIq.h
- QXmppRegisterIq.cpp